| newseq

## Function

Create a sequence file from a typed-in sequence

## Description

newseq creates a sequence file from a sequence that is manually typed in at the command-line. This is a quicker, easier and less error-prone method than editing such a file in a text editor.

## Usage

Here is a sample session with newseq

Type in a short sequence to the file 'mycc.pep' in SWISSPROT format:

    % newseq
    Create a sequence file from a typed-in sequence
    Name of the sequence: cytoc
    Description of the sequence: fragment of cytochrome c
    Type of sequence
             N : Nucleic
             P : Protein
    Type of sequence [N]: p
    Enter the sequence: KKKEERADLIAY
    output sequence [outfile.fasta]: swiss::mycc.pep

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-name]              string     The name of of the sequence should be a
                                      single word that you will use to identify
                                      the sequence. It should have no (or few)
                                      punctuation characters in it. (Any string is
                                      accepted)
      [-description]       string     Enter any description of the sequence that
                                      you require. (Any string is accepted)
      [-type]              menu       [N] Type of sequence (Values: N (Nucleic); P
                                      (Protein))
      [-sequence]          string     The sequence itself.
                                      Because of the limitation of the operating
                                      system, you will only be able to type in a
                                      short sequence of (typically) 250
                                      characters, or so.
                                      The keyboard will beep at you when you have
                                      reached this limit and you will not be able
                                      to press the RETURN/ENTER key until you have
                                      deleted a few characters. (Any string is
                                      accepted)
      [-outseq]            seqout     [.] Sequence filename and
                                      optional format (output USA)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outseq" associated qualifiers
       -osformat5          string     Output seq format
       -osextension5       string     File name extension
       -osname5            string     Base file name
       -osdirectory5       string     Output directory
       -osdbname5          string     Database name to add
       -ossingle5          boolean    Separate file for each entry
       -oufo5              string     UFO features
       -offormat5          string     Features format
       -ofname5            string     Features file name
       -ofdirectory5       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-name] (Parameter 1) | The name of of the sequence should be a single word that you will use to identify the sequence. It should have no (or few) punctuation characters in it. | Any string is accepted | An empty string is accepted
[-description] (Parameter 2) | Enter any description of the sequence that you require. | Any string is accepted | An empty string is accepted
[-type] (Parameter 3) | Type of sequence |
N | (Nucleic)
P | (Protein)
| N
[-sequence] (Parameter 4) | The sequence itself. Because of the limitation of the operating system, you will only be able to type in a short sequence of (typically) 250 characters, or so. The keyboard will beep at you when you have reached this limit and you will not be able to press the RETURN/ENTER key until you have deleted a few characters. | Any string is accepted | An empty string is accepted
[-outseq] (Parameter 5) | Sequence filename and optional format (output USA) | Writeable sequence | <*>.format
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

## Output file format

newseq writes a normal sequence file.

### Output files for usage example

### File: mycc.pep

    ID   cytoc          Unreviewed;         12 AA.
    DE   fragment of cytochrome c
    SQ   SEQUENCE    12 AA;   1464 MW;  6F142FA88DADC40B CRC64;
         KKKEERADLI AY
    //

## Data files

None.

## Notes

The length of the sequence you can type in is restricted to a fairly short length (typically less than 255 characters). If your computer beeps at you, you will typically have to delete the last character you typed and press the RETURN key.

## References

None.

## Warnings

There will be a maximum permissible length (typically 255 characters) of the sequence that may be entered. This is not a property of the EMBOSS package but of the computer system you are using. Whenever you type something in at the command-line, the text is stored in a buffer before being passed to the program. There is often a limit of less than 255 characters on the size of the buffer and so also the size of the sequence you can specify to newseq. The computer will normally issue a beep when the end of buffer is reached, and allow no more character input.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Reads and writes alignments
aligncopypair | Reads and writes pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Removes a section from a sequence
degapseq | Removes non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieves sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Reads and writes a feature table
featreport | Reads and writes a feature table
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Masks all ambiguity characters in nucleotide sequences with N
maskambigprot | Masks all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove all whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads sequences and writes them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Removes vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Written (1999) - Gary Williams

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None